local fps = false
local fpsActive = false

RegisterCommand("fps", function(source, args)
    if fps then
        fps = false
        fpsActive = false

        RopeDrawShadowEnabled(true)
        CascadeShadowsSetAircraftMode(true)
        CascadeShadowsEnableEntityTracker(false)
        CascadeShadowsSetDynamicDepthMode(true)
        CascadeShadowsSetEntityTrackerScale(5.0)
        CascadeShadowsSetDynamicDepthValue(5.0)
        CascadeShadowsSetCascadeBoundsScale(5.0)
        
        SetFlashLightFadeDistance(10.0)
        SetLightsCutoffDistanceTweak(10.0)
        DistantCopCarSirens(true)
        SetArtificialLightsState(false)
        SetTimecycleModifier('')
        
        -- Afișează notificarea "FPS BOOST OFF" mai sus
        SetNotificationTextEntry("STRING")
        AddTextComponentString("~r~FPS BOOST OFF")
        DrawNotification(false, true)
    else
        fps = true
        fpsActive = true

        SetTimecycleModifierStrength(0)
        ClearAllBrokenGlass()
        ClearAllHelpMessages()
        LeaderboardsReadClearAll()
        ClearPedBloodDamage(PlayerPedId())
        ClearPedWetness(PlayerPedId())
        ClearPedEnvDirt(PlayerPedId())
        ResetPedVisibleDamage(PlayerPedId())
        SetWindSpeed(0.0)
        CascadeShadowsClearShadowSampleType()
        CascadeShadowsSetAircraftMode(false)
        CascadeShadowsEnableEntityTracker(true)
        CascadeShadowsSetDynamicDepthMode(false)
        CascadeShadowsSetEntityTrackerScale(0.0)
        CascadeShadowsSetDynamicDepthValue(0.0)
        CascadeShadowsSetCascadeBoundsScale(0.0)
        ClearExtraTimecycleModifier()
        ClearTimecycleModifier()
        ClearOverrideWeather()  
        ClearHdArea()
        DisableVehicleDistantlights(false)
        DisableScreenblurFade()
        SetRainLevel(0.0)
        ClearPrints()
        ClearSmallPrints()
        ClearReplayStats()
        SetFlashLightFadeDistance(5.0)
        SetLightsCutoffDistanceTweak(0.0)
        ClearBrief()
        ClearGpsFlags()
        LeaderboardsClearCacheData()
        ClearFocus()
        ClearHdArea()
        DistantCopCarSirens(false)
        SetArtificialLightsState(false)
        OverrideLodscaleThisFrame(0.8)
        SetTimecycleModifier('yell_tunnel_nodirect')
    end
end)

-- Thread pentru afișarea textului "FPS BOOST ON" pe mijlocul ecranului sus
Citizen.CreateThread(function()
    while true do
        Citizen.Wait(0)
        
        if fpsActive then
            -- Setează poziția și dimensiunea textului
            SetTextFont(4)
            SetTextProportional(1)
            SetTextScale(0.5, 0.5)
            SetTextCentre(true)  -- Aliniază textul la centru
            SetTextColour(255, 255, 255, 255)
            SetTextDropshadow(0, 0, 0, 0, 255)
            SetTextEdge(1, 0, 0, 0, 255)
            SetTextDropShadow()
            SetTextOutline()
            
            -- Afișează textul "FPS BOOST ON" pe mijlocul ecranului, sus
            SetTextEntry("STRING")
            AddTextComponentString("~g~FPS BOOST ON")
            DrawText(0.5, 0.02) -- Poziționare pe mijlocul ecranului, sus
        end
    end
end)
